Bug 186420 - editors/vile: Update to version 9.8l
Summary: editors/vile: Update to version 9.8l
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-03 18:40 UTC by tkato432
Modified: 2014-02-27 16:10 UTC (History)
0 users

See Also:


Attachments
file.shar (10.73 KB, text/plain)
2014-02-03 18:40 UTC, tkato432
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-02-03 18:40:02 UTC
- Update editors/vile to version 9.8l
- Update editors/xvile to version 9.8l

[editors/xvile]
New file:
files/patch-x11menu.c
files/patch-x11vile.h
Comment 1 Martin Wilke freebsd_committer 2014-02-05 07:40:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2014-02-27 15:20:21 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2014-02-27 16:01:09 UTC
Author: miwi
Date: Thu Feb 27 15:20:09 2014
New Revision: 346364
URL: http://svnweb.freebsd.org/changeset/ports/346364
QAT: https://qat.redports.org/buildarchive/r346364/

Log:
  -  Update to version 9.8l
  
  PR:		186420
  Submitted by:	ports fury

Added:
  head/editors/xvile/files/patch-x11menu.c   (contents, props changed)
  head/editors/xvile/files/patch-x11vile.h   (contents, props changed)
Modified:
  head/editors/vile/Makefile
  head/editors/vile/distinfo
  head/editors/xvile/Makefile
  head/editors/xvile/distinfo
  head/editors/xvile/pkg-plist

Modified: head/editors/vile/Makefile
==============================================================================
--- head/editors/vile/Makefile	Thu Feb 27 15:11:51 2014	(r346363)
+++ head/editors/vile/Makefile	Thu Feb 27 15:20:09 2014	(r346364)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	vile
-PORTVERSION=	9.8k
+PORTVERSION=	9.8l
 CATEGORIES=	editors
 MASTER_SITES=	ftp://dickey.his.com/vile/current/ \
 		ftp://invisible-island.net/vile/current/
@@ -16,8 +16,7 @@ COMMENT=	VI Like Emacs -- console versio
 
 LICENSE=	GPLv2
 
-OPTIONS_DEFINE=	FILTERS ICONV PERL DOCS
-FILTERS_DESC=	Loadable filters
+BUILD_DEPENDS=	reflex:${PORTSDIR}/textproc/reflex
 
 USES=		pkgconfig shebangfix
 SHEBANG_FILES=	perl/vileget
@@ -26,44 +25,35 @@ MAKEFILE=	makefile
 
 CONFLICTS_INSTALL=	xvile-[0-9]*
 
+OPTIONS_DEFINE=		DOCS FILTERS ICONV PERL
+OPTIONS_SUB=		yes
+
+FILTERS_DESC=		Loadable filters
+FILTERS_CONFIGURE_WITH=	loadable-filters
+ICONV_USES=		iconv
+ICONV_CONFIGURE_ON=	--with-iconv ${ICONV_CONFIGURE_ARG}
+ICONV_CONFIGURE_OFF=	--without-iconv --without-locale
+PERL_USES=		perl5
+PERL_CONFIGURE_WITH=	perl
+
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MFILTERS}
-CONFIGURE_ARGS+=	--with-loadable-filters
 PLIST_SUB+=	SO_EXT=".so"
 .else
 PLIST_SUB+=	SO_EXT=""
 .endif
 
-.if ${PORT_OPTIONS:MICONV}
-USES+=		iconv
-CONFIGURE_ARGS+=	--with-iconv ${ICONV_CONFIGURE_ARG}
-PLIST_SUB+=	ICONV=""
-.else
-CONFIGURE_ARGS+=	--without-iconv --without-locale
-PLIST_SUB+=	ICONV="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MPERL}
-USES+=		perl5
-CONFIGURE_ARGS+=	--with-perl
-PLIST_SUB+=	PERL=""
-.else
-PLIST_SUB+=	PERL="@comment "
-.endif
-
 post-patch:
 	@${REINPLACE_CMD} -e \
 		's|^DOCDIR|#DOCDIR|' ${WRKSRC}/makefile.in
-	@${REINPLACE_CMD} -e \
-		's|defined(FLEX_BETA)|0|' ${WRKSRC}/filters/filters.h
 
 post-install:
 	@${MKDIR} ${STAGEDIR}${DATADIR}/macros
-	${INSTALL_DATA} ${WRKSRC}/macros/*.rc ${STAGEDIR}${DATADIR}/macros
-.if ${PORT_OPTIONS:MDOCS}
+	(cd ${WRKSRC}/macros && ${INSTALL_DATA} *.rc \
+		${STAGEDIR}${DATADIR}/macros)
 	@${MKDIR} ${STAGEDIR}${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/doc/*.doc ${STAGEDIR}${DOCSDIR}
-.endif
+	(cd ${WRKSRC}/doc && ${INSTALL_DATA} *.doc \
+		${STAGEDIR}${DOCSDIR})
 
 .include <bsd.port.mk>

Modified: head/editors/vile/distinfo
==============================================================================
--- head/editors/vile/distinfo	Thu Feb 27 15:11:51 2014	(r346363)
+++ head/editors/vile/distinfo	Thu Feb 27 15:20:09 2014	(r346364)
@@ -1,2 +1,2 @@
-SHA256 (vile-9.8k.tgz) = af8386a43fdf82ba3c8e4187b8fe850543c5baac769cf26bb2b437e5b3689e24
-SIZE (vile-9.8k.tgz) = 2278349
+SHA256 (vile-9.8l.tgz) = 2da06d7e949baa8541dc8ddd5e2d782346bbdaf59c9e564c1e8fedcc3a9bf59c
+SIZE (vile-9.8l.tgz) = 2289659

Modified: head/editors/xvile/Makefile
==============================================================================
--- head/editors/xvile/Makefile	Thu Feb 27 15:11:51 2014	(r346363)
+++ head/editors/xvile/Makefile	Thu Feb 27 15:20:09 2014	(r346364)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	xvile
-PORTVERSION=	9.8k
+PORTVERSION=	9.8l
 CATEGORIES=	editors
 MASTER_SITES=	ftp://dickey.his.com/vile/current/ \
 		ftp://invisible-island.net/vile/current/
@@ -17,14 +17,7 @@ COMMENT=	VI Like Emacs -- X11 version
 
 LICENSE=	GPLv2
 
-OPTIONS_DEFINE=	FILTERS ICONV PERL DOCS
-OPTIONS_RADIO=	MENUS
-OPTIONS_RADIO_MENUS=	MOTIF XAW XAW3D
-OPTIONS_DEFAULT=	ICONV
-FILTERS_DESC=	Loadable filters
-MENUS_DESC=	Support for menus
-XAW_DESC=	X Athena Widgets
-XAW3D_DESC=	X Athena Widgets with 3D effect
+BUILD_DEPENDS=	reflex:${PORTSDIR}/textproc/reflex
 
 USES=		pkgconfig shebangfix
 SHEBANG_FILES=	macros/lxvile macros/lxvile-fonts perl/vileget
@@ -40,68 +33,67 @@ DATADIR=	${PREFIX}/share/vile
 
 CONFLICTS_INSTALL=	vile-[0-9]*
 
+OPTIONS_DEFINE=		DOCS FILTERS ICONV PERL
+OPTIONS_RADIO=		MENUS
+OPTIONS_RADIO_MENUS=	MOTIF XAW XAW3D
+OPTIONS_DEFAULT=	ICONV
+OPTIONS_SUB=		yes
+
+FILTERS_DESC=		Loadable filters
+FILTERS_CONFIGURE_WITH=	loadable-filters
+ICONV_USES=		iconv
+ICONV_CONFIGURE_ON=	--with-iconv ${ICONV_CONFIGURE_ARG}
+ICONV_CONFIGURE_OFF=	--without-iconv --without-locale
+MENUS_DESC=		Support for menus
+MOTIF_USE=		MOTIF=yes
+MOTIF_CONFIGURE_ON=	--with-screen=motif
+PERL_USES=		perl5
+PERL_CONFIGURE_WITH=	perl
+XAW_DESC=		X Athena Widgets
+XAW_USE=		XORG=xaw
+XAW_CONFIGURE_ON=	--with-screen=athena
+XAW3D_DESC=		X Athena Widgets with 3D effect
+XAW3D_LIB_DEPENDS=	libXaw3d.so:${PORTSDIR}/x11-toolkits/Xaw3d
+XAW3D_CONFIGURE_ON=	--enable-colored-menus \
+			--with-Xaw3d \
+			--with-screen=xaw3d
+
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MFILTERS}
-CONFIGURE_ARGS+=	--with-loadable-filters
 PLIST_SUB+=	SO_EXT=".so"
 .else
 PLIST_SUB+=	SO_EXT=""
 .endif
 
-.if ${PORT_OPTIONS:MICONV}
-USES+=		iconv
-CONFIGURE_ARGS+=	--with-iconv ${ICONV_CONFIGURE_ARG}
-PLIST_SUB+=	ICONV=""
-.else
+.if empty(PORT_OPTIONS:MICONV)
 BROKEN=		Does not build if ICONV support is disabled
-CONFIGURE_ARGS+=	--without-iconv --without-locale
-PLIST_SUB+=	ICONV="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MPERL}
-USES+=		perl5
-CONFIGURE_ARGS+=	--with-perl
-PLIST_SUB+=	PERL=""
-.else
-PLIST_SUB+=	PERL="@comment "
 .endif
 
 .if empty(PORT_OPTIONS:MMOTIF) && empty(PORT_OPTIONS:MXAW) && empty(PORT_OPTIONS:MXAW3D)
 CONFIGURE_ARGS+=	--with-screen=x11
 .endif
 
-.if ${PORT_OPTIONS:MMOTIF}
-USES+=		motif
-CONFIGURE_ARGS+=	--with-screen=motif
-.endif
-
-.if ${PORT_OPTIONS:MXAW}
-USE_XORG+=	xaw
-CONFIGURE_ARGS+=	--with-screen=athena
-.endif
-
-.if ${PORT_OPTIONS:MXAW3D}
-LIB_DEPENDS+=	Xaw3d:${PORTSDIR}/x11-toolkits/Xaw3d
-CONFIGURE_ARGS+=	--enable-colored-menus \
-			--with-Xaw3d \
-			--with-screen=xaw3d
-.endif
-
 post-patch:
 	@${REINPLACE_CMD} -e \
 		's|^DOCDIR|#DOCDIR|' ${WRKSRC}/makefile.in
 	@${REINPLACE_CMD} -e \
-		's|defined(FLEX_BETA)|0|' ${WRKSRC}/filters/filters.h
+		'/^Icons/s|=.*|=${PREFIX}/share/pixmaps/vile_48x48.png|' \
+		${WRKSRC}/macros/*.desktop
 
 post-install:
+	(cd ${WRKSRC}/icons && ${INSTALL_DATA} vile_48x48.png \
+		${STAGEDIR}${PREFIX}/share/pixmaps)
+	(cd ${WRKSRC}/macros && ${INSTALL_DATA} *.desktop \
+		${STAGEDIR}${DESKTOPDIR})
 	@${MKDIR} ${STAGEDIR}${DATADIR}/macros
-	${INSTALL_DATA} ${WRKSRC}/macros/*.rc ${STAGEDIR}${DATADIR}/macros
-	@${MKDIR} ${STAGEDIR}${DESKTOPDIR}
-	${INSTALL_DATA} ${WRKSRC}/macros/*.desktop ${STAGEDIR}${DESKTOPDIR}
-.if ${PORT_OPTIONS:MDOCS}
+	(cd ${WRKSRC}/macros && ${INSTALL_DATA} *.rc \
+		${STAGEDIR}${DATADIR}/macros)
 	@${MKDIR} ${STAGEDIR}${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/doc/*.doc ${STAGEDIR}${DOCSDIR}
-.endif
+	(cd ${WRKSRC}/doc && ${INSTALL_DATA} *.doc \
+		${STAGEDIR}${DOCSDIR})
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}/html
+	(cd ${WRKSRC}/doc && ${INSTALL_DATA} *.html \
+		${STAGEDIR}${DOCSDIR}/html)
 
 .include <bsd.port.mk>

Modified: head/editors/xvile/distinfo
==============================================================================
--- head/editors/xvile/distinfo	Thu Feb 27 15:11:51 2014	(r346363)
+++ head/editors/xvile/distinfo	Thu Feb 27 15:20:09 2014	(r346364)
@@ -1,2 +1,2 @@
-SHA256 (vile-9.8k.tgz) = af8386a43fdf82ba3c8e4187b8fe850543c5baac769cf26bb2b437e5b3689e24
-SIZE (vile-9.8k.tgz) = 2278349
+SHA256 (vile-9.8l.tgz) = 2da06d7e949baa8541dc8ddd5e2d782346bbdaf59c9e564c1e8fedcc3a9bf59c
+SIZE (vile-9.8l.tgz) = 2289659

Added: head/editors/xvile/files/patch-x11menu.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/editors/xvile/files/patch-x11menu.c	Thu Feb 27 15:20:09 2014	(r346364)
@@ -0,0 +1,24 @@
+--- x11menu.c.orig
++++ x11menu.c
+@@ -29,12 +29,21 @@
+ #endif
+ 
+ #if ATHENA_WIDGETS
++#ifdef HAVE_LIB_XAW3D
++#include <X11/Xaw3d/Form.h>
++#include <X11/Xaw3d/SimpleMenu.h>
++#include <X11/Xaw3d/MenuButton.h>
++#include <X11/Xaw3d/SmeLine.h>
++#include <X11/Xaw3d/SmeBSB.h>
++#endif
++#ifdef HAVE_LIB_XAW
+ #include <X11/Xaw/Form.h>
+ #include <X11/Xaw/SimpleMenu.h>
+ #include <X11/Xaw/MenuButton.h>
+ #include <X11/Xaw/SmeLine.h>
+ #include <X11/Xaw/SmeBSB.h>
+ #endif
++#endif
+ 
+ #define Nval(name,value) name, (XtArgVal)(value)
+ #define Sval(name,value) name, (value)

Added: head/editors/xvile/files/patch-x11vile.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/editors/xvile/files/patch-x11vile.h	Thu Feb 27 15:20:09 2014	(r346364)
@@ -0,0 +1,22 @@
+--- x11vile.h.orig	2013-04-15 04:09:08.000000000 +0900
++++ x11vile.h	2014-02-01 21:50:00.000000000 +0900
+@@ -282,11 +282,19 @@
+ 
+ #if OPT_MENUS
+ #if ATHENA_WIDGETS
++#ifdef HAVE_LIB_XAW3D
++#include <X11/Xaw3d/SimpleMenu.h>
++#include <X11/Xaw3d/Box.h>
++#include <X11/Xaw3d/Form.h>
++#include <X11/Xaw3d/Paned.h>
++#endif
++#ifdef HAVE_LIB_XAW
+ #include <X11/Xaw/SimpleMenu.h>
+ #include <X11/Xaw/Box.h>
+ #include <X11/Xaw/Form.h>
+ #include <X11/Xaw/Paned.h>
+ #endif
++#endif
+ #if MOTIF_WIDGETS
+ #include <Xm/RowColumn.h>
+ #endif

Modified: head/editors/xvile/pkg-plist
==============================================================================
--- head/editors/xvile/pkg-plist	Thu Feb 27 15:11:51 2014	(r346363)
+++ head/editors/xvile/pkg-plist	Thu Feb 27 15:20:09 2014	(r346364)
@@ -96,6 +96,19 @@ share/applications/xvile.desktop
 %%PORTDOCS%%%%DOCSDIR%%/config.doc
 %%PORTDOCS%%%%DOCSDIR%%/dir.doc
 %%PORTDOCS%%%%DOCSDIR%%/filters.doc
+%%PORTDOCS%%%%DOCSDIR%%/html/Vileserv.html
+%%PORTDOCS%%%%DOCSDIR%%/html/config.html
+%%PORTDOCS%%%%DOCSDIR%%/html/dir.html
+%%PORTDOCS%%%%DOCSDIR%%/html/filters.html
+%%PORTDOCS%%%%DOCSDIR%%/html/macros.html
+%%PORTDOCS%%%%DOCSDIR%%/html/menus.html
+%%PORTDOCS%%%%DOCSDIR%%/html/modes.html
+%%PORTDOCS%%%%DOCSDIR%%/html/oleauto.html
+%%PORTDOCS%%%%DOCSDIR%%/html/perl.html
+%%PORTDOCS%%%%DOCSDIR%%/html/vile-hlp.html
+%%PORTDOCS%%%%DOCSDIR%%/html/vile-man.html
+%%PORTDOCS%%%%DOCSDIR%%/html/vile-toc.html
+%%PORTDOCS%%%%DOCSDIR%%/html/visvile.html
 %%PORTDOCS%%%%DOCSDIR%%/macros.doc
 %%PORTDOCS%%%%DOCSDIR%%/menus.doc
 %%PORTDOCS%%%%DOCSDIR%%/modes.doc
@@ -256,9 +269,11 @@ share/pixmaps/vile.xpm
 %%DATADIR%%/xsl.keywords
 %%DATADIR%%/yacc.keywords
 %%DATADIR%%/zsh.keywords
+share/pixmaps/vile_48x48.png
 %%PERL%%@dirrm %%DATADIR%%/perl/Vile
 %%PERL%%@dirrm %%DATADIR%%/perl
 @dirrm %%DATADIR%%/macros
 @dirrm %%DATADIR%%
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/html
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
 @dirrm lib/vile
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"